# Hugging Face

See more detailed description of the application at the dedicated Apolo Console's [Hugging Face](/index/apolo-console/apps/installable-apps/available-apps/hugging-face.md) page.

## Managing application via Apolo CLI

{% stepper %}
{% step %}

#### Load application installation template

```
apolo app-template get hugging-face-cache > hf-cache.yaml
```

{% endstep %}

{% step %}

#### **Fill in required parameters**

```yaml
template_name: hugging-face-cache
input:
  cache_config:
    files_path:
      path: storage://<cluster>/<org>/<project>/your/sub/path
```

You could also configure specific version of the application to be installed by adding `template_version: <version>` block to the config file. If it is not there, the `latest` version is assumed.
{% endstep %}

{% step %}

#### Install the application

`apolo app install -f hf-cache.yaml`

The application status could be also displayed via CLI:

```
apolo app ls

  ID                                     Name                                                          Display Name                      Template                          Version   State        
 ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 
  86c60e06-ac1f-442c-a20f-836a2533cf1a   apolo-apoloproject-hugging-face-cache-86c60e06                Hugging Face Cache                hugging-face-cache                HEAD      healthy      

```

{% endstep %}

{% step %}

#### Removal

If you want to remove the application via CLI, use `apolo app remove <app-id>`.
{% endstep %}
{% endstepper %}

You can find more information for application management commands in the list of references below.

## References

* [Apolo Hugging Face application](/index/apolo-console/apps/installable-apps/available-apps/hugging-face.md)
* [Apolo application template management commands](/index/apolo-cli/commands/app-template.md)
* [Apolo application management commands](/index/apolo-cli/commands/app.md)
* [Hugging Face Hub Caching Guide](https://huggingface.co/docs/huggingface_hub/en/guides/manage-cache)
* [Apolo LLM Inference application](/index/apolo-console/apps/installable-apps/available-apps/llm-inference.md)
* [Apolo Text Embeddings application](/index/apolo-console/apps/installable-apps/available-apps/text-embeddings-inference.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apolo.us/index/apolo-concepts-cli/apps/installable-apps/available-apps/hugging-face.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
